// http://akelpad.sourceforge.net/forum/viewtopic.php?p=5577#5577
// Description(1033): Delete repeated spaces inside the text
// Description(2052): 删除文本中重复的空白字符
// Version: 3.6 (2016.03.26)
// Author: VladSh

if (! AkelPad.Include("selCompleteLine.js")) WScript.Quit();
oCh.runWithRedraw();

function process() {
	oCh.Text = oCh.getSelTextAll();
	oCh.Text = oCh.Text.replace(/\ {2,}/g, ' ');		//Убираем повторяющиеся "пробелы"
	oCh.Text = oCh.Text.replace(/\ {2,}/g, ' ');		//Убираем повторяющиеся пробелы
	oCh.Text = oCh.Text.replace(/\t{2,}/g, '\t');		//Убираем повторяющиеся табуляции
        oCh.Text = oCh.Text.replace(/\u3000{2,}/g, '\u3000');   // "\u3000" is Full-width space
}